# Interface JmolScriptEvaluator

All Known Implementing Classes:
  `ScriptError, ScriptEval, ScriptParam`

public interface JmolScriptEvaluator

## Method Summary

Modifier and Type
Method
Description
`ScriptContext`
`checkScriptSilent(String strScript)`
`boolean`
`checkSelect(Map<String,SV> h, T[] where)`
`boolean`
`compileScriptString(String strScript, boolean isQuiet)`
`void`
`deleteAtomsInVariables(BS bsDeleted)`
`float`
`evalFunctionFloat(Object func, Object params, float[] values)`
`boolean`
`evalParallel(ScriptContext context, ShapeManager shapeManager)`
`void`
`evaluateCompiledScript(Object[] params, boolean isSyntaxCheck, boolean isSyntaxAndFileCheck, boolean historyDisabled, boolean listCommands, SB outputBuffer, boolean allowThreads)`
`Object`
`evaluateExpression(Object stringOrTokens, boolean asVariable, boolean compileOnly)`
`boolean`
`getAllowJSThreads()`
`BS`
`getAtomBitSet(Object atomExpression)`
`String`
`getErrorMessage()`
`String`
`getErrorMessageUntranslated()`
`String`
`getNextStatement()`
`String`
`getScript()`
`ScriptContext`
`getScriptContext(String why)`
`ScriptContext`
`getThisContext()`
`void`
`haltExecution()`
`boolean`
`isExecuting()`
`boolean`
`isPaused()`
`boolean`
`isStateScript()`
`boolean`
`isStepping()`
`boolean`
`isStopped()`
`void`
`loadFileResourceAsync(String fileName)`
`void`
`notifyResumeStatus()`
`void`
`pauseExecution(boolean b)`
`void`
`pushContextDown(String why)`
`void`
`resumeEval(Object sc)`
`void`
`resumePausedExecution()`
`void`
`runScript(String script)`
`void`
`runScriptBuffer(String string, SB outputBuffer, boolean isFuncReturn)`
`void`
`setCompiler()`
`void`
`setDebugging()`
`String`
`setObjectPropSafe(String id, int tokCommand)`
`int`
`setStatic(int tok, int value)`
`JmolScriptEvaluator`
`setViewer(Viewer vwr)`
`void`
`stepPausedExecution()`
`void`
`stopScriptThreads()`

## Method Details

### setViewer

JmolScriptEvaluator setViewer(Viewer vwr)

### getThisContext

ScriptContext getThisContext()

### pushContextDown

void pushContextDown(String why)

### resumeEval

void resumeEval(Object sc)

### getAllowJSThreads

boolean getAllowJSThreads()

### setCompiler

void setCompiler()

### getAtomBitSet

BS getAtomBitSet(Object atomExpression)

### isStopped

boolean isStopped()

### notifyResumeStatus

void notifyResumeStatus()

### isPaused

boolean isPaused()

### getNextStatement

String getNextStatement()

### resumePausedExecution

void resumePausedExecution()

### stepPausedExecution

void stepPausedExecution()

### pauseExecution

void pauseExecution(boolean b)

### isExecuting

boolean isExecuting()

### haltExecution

void haltExecution()

### compileScriptString

boolean compileScriptString(String strScript, boolean isQuiet)

### getErrorMessage

String getErrorMessage()

### getErrorMessageUntranslated

String getErrorMessageUntranslated()

### checkScriptSilent

ScriptContext checkScriptSilent(String strScript)

### getScript

String getScript()

### setDebugging

void setDebugging()

### isStepping

boolean isStepping()

### getScriptContext

ScriptContext getScriptContext(String why)

### evaluateExpression

Object evaluateExpression(Object stringOrTokens, boolean asVariable, boolean compileOnly)

### deleteAtomsInVariables

void deleteAtomsInVariables(BS bsDeleted)

### evalParallel

boolean evalParallel(ScriptContext context, ShapeManager shapeManager)

### runScript

void runScript(String script) throws ScriptException

Throws:
  `ScriptException`

### runScriptBuffer

void runScriptBuffer(String string, SB outputBuffer, boolean isFuncReturn) throws ScriptException

Throws:
  `ScriptException`

### evalFunctionFloat

float evalFunctionFloat(Object func, Object params, float[] values)

### evaluateCompiledScript

void evaluateCompiledScript(Object[] params, boolean isSyntaxCheck, boolean isSyntaxAndFileCheck, boolean historyDisabled, boolean listCommands, SB outputBuffer, boolean allowThreads)

### setObjectPropSafe

String setObjectPropSafe(String id, int tokCommand)

### stopScriptThreads

void stopScriptThreads()

### isStateScript

boolean isStateScript()

### checkSelect

boolean checkSelect(Map<String,SV> h, T[] where)

### loadFileResourceAsync

void loadFileResourceAsync(String fileName) throws Exception

Throws:
  `Exception`

### setStatic

int setStatic(int tok, int value)